import React, { useState } from "react";

export const Login = () => {
  const [loginStatus, setLoginStatus] = useState("");
  const [email, setEmail] = useState("");
  const [password, setPassword] = useState("");
  const handleSubmit = async (event) => {
    event.preventDefault();
    const response = await fetch("https://reqres.in/api/login", {
      method: "POST",
      headers: {
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        email,
        password,
      }),
    });
    const { token } = await response.json();
    if (token) {
      setLoginStatus("success")
    } else {
      setLoginStatus("error")
    }
  };
  const getLoginMessage = () => {
    if (loginStatus === "") {
      return "";
    }

    if (loginStatus === "success") {
      return "ログイン成功"
    }

    if (loginStatus === "error") {
      return "ログイン失敗"
    }
  }
  return (
    <>
      <form noValidate onSubmit={handleSubmit}>
        <label data-testid="emailLabel">
          メールアドレス
          <input
            data-testid="emailInput"
            type="text"
            name="email"
            onChange={(event) => setEmail(event.target.value)}
          />
        </label>
        <label data-testid="passwordLabel">
          パスワード
          <input
            data-testid="passwordInput"
            type="password"
            name="password"
            onChange={(event) => setPassword(event.target.value)}
          />
        </label>
        <button data-testid="submitButton" type="submit">
          submit
        </button>
      </form>
      <p data-testid="successText">{getLoginMessage()}</p>
    </>
  );
};
