import React from "react";
import { render, screen } from "@testing-library/react";
import { Login } from ".";

test("メールアドレスの入力フォームがレンダリングされること", () => {
  render(<Login />);
  const emailInput = screen.getByTestId("emailInput");
  expect(screen.getByTestId("emailLabel")).toHaveTextContent("メールアドレス");
  expect(emailInput).toHaveAttribute("type", "text");
  expect(emailInput).toHaveAttribute("name", "email");
});
test("パスワードの入力フォームがレンダリングされること", () => {
  render(<Login />);
  const passwordInput = screen.getByTestId("passwordInput");
  expect(screen.getByTestId("passwordLabel")).toHaveTextContent("パスワード");
  expect(passwordInput).toHaveAttribute("type", "password");
  expect(passwordInput).toHaveAttribute("name", "password");
});
test("ボタンがレンダリングされること", () => {
  render(<Login />);
  const submitButton = screen.getByTestId("submitButton");
  expect(submitButton).toBeInTheDocument();
  expect(submitButton).toHaveTextContent("submit");
  expect(submitButton).toHaveAttribute("type", "submit");
  expect(submitButton).not.toHaveAttribute("disabled");
});
